org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQueryFetchResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQueryFetchResult

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcQueryFetchResult
    extends JdbcResult

SQL listener query fetch result.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`QRY_EXEC, QRY_FETCH, QRY_META`

### Constructor Summary

Constructors
Constructor and Description
`JdbcQueryFetchResult()` Default constructor is used for deserialization.
`JdbcQueryFetchResult(List<List<Object>> items, boolean last)`

### Method Summary

Methods
`List<List<Object>>` `items()`
`boolean` `last()`
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcQueryFetchResult

    public JdbcQueryFetchResult()

Default constructor is used for deserialization.

#### JdbcQueryFetchResult

    public JdbcQueryFetchResult(List<List<Object>> items,
                        boolean last)

Parameters:
  `items` - Query result rows.
  `last` - Flag indicating the query has no unfetched results.

### Method Detail

#### items

    public List<List<Object>> items()

Returns:
  Query result rows.

#### last

    public boolean last()

Returns:
  Flag indicating the query has no unfetched results.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017